﻿@{
    ViewData["Title"] = "Mutabaah Siswa";
}
<style type="text/css">
    .dataTables_filter {
        display: none;
    }

    .custom-control-label::before,
    .custom-control-label::after {
        top: .8rem;
        width: 1.25rem;
        height: 1.25rem;
    }
</style>

<section class="section">
    <div class="section-header">
        <h1>Evaluasi Harian Pegawai</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Pegawai</a></div>
            <div class="breadcrumb-item active"><a href="#">Evaluasi Harian Pegawai</a></div>
        </div>
    </div>
    <div class="section-body">
        <div class="card">
            <div class="card-header">
                <h4 class="col-6">DAFTAR EVALUASI HARIAN PEGAWAI</h4>
                <h4 class="col-6 text-right">
                    <button class="btn btn-primary" id="BtnTanggal" onclick="ModalCariByTanggal();">
                        <span class="dekstop-off">
                            <i class="fa fa-calendar" aria-hidden="true"></i>
                            Pilih Tanggal
                        </span>
                    </button>
                    <button class="btn btn-success" id="BtnSaveMutabaah" type="button" onclick="ProsesMutabaah();">
                        <span class="dekstop-off">
                            <i class="fa fa-save" aria-hidden="true"></i>
                            Simpan Mutabaah
                        </span>
                    </button>
                </h4>
            </div>
            <div class="card-body">
                <div class="form-row">
                    <div class="col-md-12">
                        <form id="FormTabelMutabaahSiswa">
                            <div class="table-responsive">
                                <table id="TabelMutabaah" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                    <thead>
                                        <tr>
                                            <th>Jenis Evaluasi</th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe1CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Minggu
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe2CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Senin
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe3CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Selasa
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe4CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Rabu
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe5CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Kamis
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe6CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Jum'at
                                            </th>
                                            <th>
                                                @* <input type="checkbox" name="HariKe7CheckAll" style='vertical-align:middle;width: 1.25rem;height: 1.25rem;' /> *@
                                                 Sabtu
                                            </th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </form>
                    </div>
                    @*<div class="col-md-5">
                            <div class="card" style="border:2px;box-shadow:0 0 2px 2px #ff976c;">
                                <div class="card-header text-white" style="min-height:20px;background-color:#ff976c !important">
                                    <h5 class="modal-title" id="tanggalModalLabel">Formulir Mutabaah Siswa</h5>
                                </div>
                                <div class="card-body">
                                    <form id="FormInputMutabaah">
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Tanggal</label>
                                            <input type="text" class="form-control" name="Tanggal" data-toggle="datepicker-maxtoday" placeholder="- Pilih Tanggal -" readonly />
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Jenis Evaluasi Harian</label>
                                            <select class="form-control select2" name="IdJenisEvaluasiHarian" style="width:100%;">
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Sudah Dilakukan?</label><br />
                                            <input type="radio" name="IsDone" value="Y" /> Ya &nbsp;&nbsp;
                                            <input type="radio" name="IsDone" value="T" /> Tidak &nbsp;&nbsp;
                                        </div>
                                        <div class="form-group">
                                            <label class="col-form-label font-weight-bold text-right">Catatan</label>
                                            <textarea class="form-control" name="Catatan" rows="4" placeholder="contoh : Hari ini Aku baca Al-Qur'an Surah Al-Baqarah dari ayat 1 sampai 286"></textarea>
                                        </div>
                                        <div class="text-center form-row">
                                            <div class="col-md-6 col-sm-12">
                                                <button type="reset" class="btn btn-danger text-center btn-block" data-dismiss="modal"> <i class="fa fa-times"></i> Batal </button>
                                            </div>
                                            <div class="col-md-6 col-sm-12">
                                                <button type="button" class="btn btn-success text-center btn-block" id="BtnSaveData" onclick="SimpanMutabaah();"> <i class="fa fa-save"></i> Simpan Data</button>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            </div>
                        </div>*@
                </div>

            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalTanggal" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <h5 class="modal-title" id="tanggalModalLabel">Pencarian Berdasarkan Tanggal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form>
                    <div class="row">
                        <div class="col-md-12">
                            <input type="text" class="form-control" id="TanggalPencarian" placeholder="dd-mm-yyyy" name="DateFilter" data-toggle="datepicker-maxtoday" readonly />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="PencarianByTanggal()"><i class="fas fa-search"></i>&nbsp; Cari</button>
            </div>
        </div>
    </div>
</div>